use tenebrous_rpc::protos::dicebot::dicebot_client::DicebotClient;
use tenebrous_rpc::protos::dicebot::UserIdRequest;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let mut client = DicebotClient::connect("http://0.0.0.0:9090").await?;

    let request = tonic::Request::new(UserIdRequest {
        user_id: "Tonic".into(),
    });

    let response = client.rooms_for_user(request).await?.into_inner();

    println!("RESPONSE={:?}", response);
    println!("User friendly response is: {:?}", response.room_ids);

    Ok(())
}
